# std::time_put_byname< _CharT, _OutIter > Class Template Reference

Inheritance diagram for std::time_put_byname< _CharT, _OutIter >:

List of all members.

## Detailed Description

### template<typename _CharT, typename _OutIter>
class std::time_put_byname< _CharT, _OutIter >

Definition at line 3494 of file locale_facets.h.

## Public Types

- typedef _CharT char_type
- typedef _OutIter iter_type

## Public Member Functions

- iter_type put (iter_type __s, ios_base &__io, char_type __fill, const tm *__tm, char __format, char __mod=0) const
- iter_type put (iter_type __s, ios_base &__io, char_type __fill, const tm *__tm, const _CharT *__beg, const _CharT *__end) const
- time_put_byname (const char *, size_t __refs=0)

## Static Public Attributes

- static locale::id id

## Protected Member Functions

- virtual iter_type do_put (iter_type __s, ios_base &__io, char_type __fill, const tm *__tm, char __format, char __mod) const
- virtual ~time_put_byname ()

## Static Protected Member Functions

- static __c_locale _S_clone_c_locale (__c_locale &__cloc)
- static void _S_create_c_locale (__c_locale &__cloc, const char *__s, __c_locale __old=0)
- static void _S_destroy_c_locale (__c_locale &__cloc)
- static __c_locale _S_get_c_locale ()
- static const char * _S_get_c_name ()

## Friends

- class locale::_Impl

## Member Typedef Documentation

template<typename _CharT, typename _OutIter>

typedef _CharT std::time_put_byname< _CharT, _OutIter >::char_type

Public typedefs.

Reimplemented from std::time_put< _CharT, _OutIter >.

Definition at line 3498 of file locale_facets.h.

template<typename _CharT, typename _OutIter>

typedef _OutIter std::time_put_byname< _CharT, _OutIter >::iter_type

Public typedefs.

Reimplemented from std::time_put< _CharT, _OutIter >.

Definition at line 3499 of file locale_facets.h.

## Member Function Documentation

template<typename _CharT, typename _OutIter>

_OutIter std::time_put< _CharT, _OutIter >::do_put | ( | iter_type | __s,
|  | ios_base & | __io,
|  | char_type | __fill,
|  | const tm * | __tm,
|  | char | __format,
|  | char | __mod |
| ) |  |  | const`[protected, virtual, inherited]`

Format and output a time or date.

This function formats the data in struct tm according to the provided format char and optional modifier. This function is a hook for derived classes to change the value returned.

See also:
  put() for more details.

Parameters:

  | s | The stream to write to.
  | io | Source of locale.
  | fill | char_type to use for padding.
  | tm | Struct tm with date and time info to format.
  | format | Format char.
  | mod | Optional modifier char.

Returns:
  Iterator after writing.

Definition at line 2335 of file locale_facets.tcc.

References std::__write(), std::ios_base::_M_getloc(), and std::__ctype_abstract_base< _CharT >::widen().

Referenced by std::time_put< _CharT, _OutIter >::put().

template<typename _CharT, typename _OutIter>

iter_type std::time_put< _CharT, _OutIter >::put | ( | iter_type | __s,
|  | ios_base & | __io,
|  | char_type | __fill,
|  | const tm * | __tm,
|  | char | __format,
|  | char | __mod = `0` |
| ) |  |  | const`[inline, inherited]`

Format and output a time or date.

This function formats the data in struct tm according to the provided format char and optional modifier. The format and modifier are interpreted as by strftime(). It does so by returning time_put::do_put().

Parameters:

  | s | The stream to write to.
  | io | Source of locale.
  | fill | char_type to use for padding.
  | tm | Struct tm with date and time info to format.
  | format | Format char.
  | mod | Optional modifier char.

Returns:
  Iterator after writing.

Definition at line 3458 of file locale_facets.h.

References std::time_put< _CharT, _OutIter >::do_put().

template<typename _CharT, typename _OutIter>

_OutIter std::time_put< _CharT, _OutIter >::put | ( | iter_type | __s,
|  | ios_base & | __io,
|  | char_type | __fill,
|  | const tm * | __tm,
|  | const _CharT * | __beg,
|  | const _CharT * | __end |
| ) |  |  | const`[inherited]`

Format and output a time or date.

This function formats the data in struct tm according to the provided format string. The format string is interpreted as by strftime().

Parameters:

  | s | The stream to write to.
  | io | Source of locale.
  | fill | char_type to use for padding.
  | tm | Struct tm with date and time info to format.
  | beg | Start of format string.
  | end | End of format string.

Returns:
  Iterator after writing.

Definition at line 2300 of file locale_facets.tcc.

References std::ios_base::_M_getloc(), std::time_put< _CharT, _OutIter >::do_put(), and std::__ctype_abstract_base< _CharT >::narrow().

## Member Data Documentation

template<typename _CharT, typename _OutIter>

locale::id std::time_put< _CharT, _OutIter >::id`[static, inherited]`

Numpunct facet id.

Definition at line 3409 of file locale_facets.h.

The documentation for this class was generated from the following file:

- locale_facets.h